| Elektra 0.11.0

Classes | Namespaces | Typedefs
kdbthread.hpp File Reference
`#include <kdbcontext.hpp>`
`#include <kdb.hpp>`
`#include <algorithm>`
`#include <cassert>`
`#include <functional>`
`#include <mutex>`
`#include <thread>`
`#include <unordered_map>`
`#include <vector>`

## Classes
class | kdb::ThreadSubject
| Subject from Observer pattern for ThreadContext. More...
struct | kdb::PerContext
| A data structure that is stored by context inside the Coordinator. More...
class | kdb::Coordinator
| Thread safe coordination of ThreadContext per Threads. More...

## Namespaces
namespace | kdb
| This is the main namespace for the C++ binding and libraries.

## Typedefs
typedef std::unordered_map< std::string, LayerAction > | kdb::LayerMap
| A vector of layers.

## Detailed Description

Copyright
  BSD License (see LICENSE.md or https://www.libelektra.org)